'use strict';

var index = require('./index-Bq84pjsN.js');

const switchCss = () => ``;

const Switch = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    get host() { return index.getElement(this); }
    // MARK: Props
    size = 'm';
    label;
    // MARK: Render
    render() {
        const { size } = this;
        return (index.jsx(index.Host, { size: size, part: "root", children: index.jsx("div", { class: "dds-switch", children: index.jsx("slot", {}, 'b833b7662f881fa097a9b74c033b32885f9b7ce6') }, '932726012624b712b767a69a113b38bd52c145c7') }, '65ba6bf502316ab31397585540aac3810f6903f4'));
    }
};
Switch.style = switchCss();

exports.dds_switch = Switch;
